import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import OrmModel from './orm-appmenu-model';


/**
 * Orm 部件服务对象
 *
 * @export
 * @class OrmService
 */
export default class OrmService extends ControlService {

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof OrmService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of OrmService.
     * 
     * @param {*} [opts={}]
     * @memberof OrmService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new OrmModel();
    }

    /**
     * 获取数据
     *
     * @returns {Promise<any>}
     * @memberof Orm
     */
    @Errorlog
    public get(params: any = {}): Promise<any> {
        return Http.getInstance().get('v7/ormappmenu', params);
    }

}