import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import ParModel from './par-appmenu-model';


/**
 * Par 部件服务对象
 *
 * @export
 * @class ParService
 */
export default class ParService extends ControlService {

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof ParService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of ParService.
     * 
     * @param {*} [opts={}]
     * @memberof ParService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new ParModel();
    }

    /**
     * 获取数据
     *
     * @returns {Promise<any>}
     * @memberof Par
     */
    @Errorlog
    public get(params: any = {}): Promise<any> {
        return Http.getInstance().get('v7/parappmenu', params);
    }

}