import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import PcmModel from './pcm-appmenu-model';


/**
 * Pcm 部件服务对象
 *
 * @export
 * @class PcmService
 */
export default class PcmService extends ControlService {

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof PcmService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of PcmService.
     * 
     * @param {*} [opts={}]
     * @memberof PcmService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new PcmModel();
    }

    /**
     * 获取数据
     *
     * @returns {Promise<any>}
     * @memberof Pcm
     */
    @Errorlog
    public get(params: any = {}): Promise<any> {
        return Http.getInstance().get('v7/pcmappmenu', params);
    }

}