import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import PortalModel from './portal-appmenu-model';


/**
 * Portal 部件服务对象
 *
 * @export
 * @class PortalService
 */
export default class PortalService extends ControlService {

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof PortalService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of PortalService.
     * 
     * @param {*} [opts={}]
     * @memberof PortalService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new PortalModel();
    }

    /**
     * 获取数据
     *
     * @returns {Promise<any>}
     * @memberof Portal
     */
    @Errorlog
    public get(params: any = {}): Promise<any> {
        return Http.getInstance().get('v7/portalappmenu', params);
    }

}