import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import SmgModel from './smg-appmenu-model';


/**
 * Smg 部件服务对象
 *
 * @export
 * @class SmgService
 */
export default class SmgService extends ControlService {

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof SmgService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of SmgService.
     * 
     * @param {*} [opts={}]
     * @memberof SmgService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new SmgModel();
    }

    /**
     * 获取数据
     *
     * @returns {Promise<any>}
     * @memberof Smg
     */
    @Errorlog
    public get(params: any = {}): Promise<any> {
        return Http.getInstance().get('v7/smgappmenu', params);
    }

}