import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import SocModel from './soc-appmenu-model';


/**
 * Soc 部件服务对象
 *
 * @export
 * @class SocService
 */
export default class SocService extends ControlService {

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof SocService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of SocService.
     * 
     * @param {*} [opts={}]
     * @memberof SocService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new SocModel();
    }

    /**
     * 获取数据
     *
     * @returns {Promise<any>}
     * @memberof Soc
     */
    @Errorlog
    public get(params: any = {}): Promise<any> {
        return Http.getInstance().get('v7/socappmenu', params);
    }

}