/**
 * Tie 部件模型
 *
 * @export
 * @class TieModel
 */
export default class TieModel {

    /**
     * 菜单项集合
     *
     * @public
     * @type {any[]}
     * @memberof TieModel
     */
    public items: any[] = [
        {
	id: 'bae3d4aa7ed6517aecffa3933c96efaf',
	name: 'menuitem15',
	text: '干部管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '干部管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '7480f9016ca59078ed10a1d1d2e0c6ce',
	name: 'menuitem1',
	text: '干部花名册',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '干部花名册',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '../../../img/jcgl/1/junzhuanganbu.png',
	textcls: '',
	appfunctag: 'Auto226',
	resourcetag: '',
},
		{
	id: 'c9f77df04538a7363874ed592f3a1040',
	name: 'menuitem4',
	text: '干部异动',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '干部异动',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '../../../img/jcgl/1/junzhuanganbu.png',
	textcls: '',
	appfunctag: 'Auto388',
	resourcetag: '',
},
		{
	id: '018b0867a820f2506fb460a51df48eef',
	name: 'menuitem19',
	text: '优秀年轻干部梯队',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '优秀年轻干部梯队',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '../../../img/kfgl/1/zhijihoubeiganbu.png',
	textcls: '',
	appfunctag: 'Auto81',
	resourcetag: '',
},
		{
	id: '34e8e15c4d45996e3fa2c4fbe0b8f97f',
	name: 'menuitem20',
	text: '干部异动记录',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '干部异动记录',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '../../../img/pzgl/1/zhijibiandong.png',
	textcls: '',
	appfunctag: 'Auto333',
	resourcetag: '',
},
	],
},
        {
	id: '88cf115ed8d86a9d62dda2cb8689c9b1',
	name: 'menuitem5',
	text: '退休干部管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '退休干部管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'ddb3b9520bdebc99a9a08a58d54561ab',
	name: 'menuitem6',
	text: '退休干部花名册',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '退休干部花名册',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '../../../img/pzgl/1/tuixiuguanli.png',
	textcls: '',
	appfunctag: 'Auto278',
	resourcetag: '',
},
	],
},
        {
	id: 'b40df9daae9f9451c2d311530ddc99f6',
	name: 'menuitem7',
	text: '标准化数据设置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '标准化数据设置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'ee7f401461e5eacbed7b16498fccecaf',
	name: 'menuitem8',
	text: '职级设置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '职级设置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '../../../img/pzgl/1/zhijiguanli.png',
	textcls: '',
	appfunctag: 'Auto380',
	resourcetag: 'ZJSZ',
},
		{
	id: '3d4c947bfd78c97b3587c811a44122fc',
	name: 'menuitem9',
	text: '职级到期规则设置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '职级到期规则设置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '../../../img/newimage/1/guazhidaoqiguanli.png',
	textcls: '',
	appfunctag: 'Auto247',
	resourcetag: '',
},
	],
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @public
	 * @type {any[]}
	 * @memberof TieModel
	 */
	public funcs: any[] = [
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof TieModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof TieModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}