import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import TieModel from './tie-appmenu-model';


/**
 * Tie 部件服务对象
 *
 * @export
 * @class TieService
 */
export default class TieService extends ControlService {

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof TieService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of TieService.
     * 
     * @param {*} [opts={}]
     * @memberof TieService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new TieModel();
    }

    /**
     * 获取数据
     *
     * @returns {Promise<any>}
     * @memberof Tie
     */
    @Errorlog
    public get(params: any = {}): Promise<any> {
        return Http.getInstance().get('v7/tieappmenu', params);
    }

}